org.apache.fop.afp

## Interface Streamable

All Known Subinterfaces:
  Triplet

All Known Implementing Classes:
  AbstractAFPObject, AbstractDataObject, AbstractDescriptor, AbstractEnvironmentGroup, AbstractGraphicsCoord, AbstractGraphicsDrawingOrder, AbstractGraphicsDrawingOrderContainer, AbstractNamedAFPObject, AbstractPageObject, AbstractResourceEnvironmentGroupContainer, AbstractResourceGroupContainer, AbstractStructuredObject, AbstractTriplet, AbstractTripletStructuredObject, ActiveEnvironmentGroup, ActiveEnvironmentGroup.FontFullyQualifiedNameTriplet, AFPStreamer, AttributeQualifierTriplet, AttributeValueTriplet, BandImage, CommentTriplet, ContainerDataDescriptor, DescriptorPositionTriplet, Document, EncodingTriplet, ExtendedResourceLocalIdentifierTriplet, FullyQualifiedNameTriplet, GraphicsAreaBegin, GraphicsAreaEnd, GraphicsBox, GraphicsChainedSegment, GraphicsCharacterString, GraphicsData, GraphicsDataDescriptor, GraphicsEndProlog, GraphicsFillet, GraphicsFullArc, GraphicsImage, GraphicsLine, GraphicsObject, GraphicsSetArcParameters, GraphicsSetCharacterSet, GraphicsSetCurrentPosition, GraphicsSetFractionalLineWidth, GraphicsSetLineType, GraphicsSetLineWidth, GraphicsSetMix, GraphicsSetPatternSymbol, GraphicsSetProcessColor, IDEStructureParameter, ImageCellPosition, ImageContent, ImageDataDescriptor, ImageInputDescriptor, ImageObject, ImageOutputControl, ImageRasterData, ImageSegment, ImageSizeParameter, IMImageObject, IncludedResourceObject, IncludeObject, IncludePageOverlay, IncludePageSegment, InvokeMediumMap, MapCodedFont, MapContainerData, MapDataResource, MapImageObject, MapPageOverlay, MapPageSegment, MappingOptionTriplet, MeasurementUnitsTriplet, NoOperation, ObjectAreaDescriptor, ObjectAreaPosition, ObjectAreaSizeTriplet, ObjectByteExtentTriplet, ObjectClassificationTriplet, ObjectContainer, ObjectEnvironmentGroup, Overlay, PageDescriptor, PageGroup, PageObject, PageSegment, PreprocessPresentationObject, PresentationEnvironmentControl, PresentationSpaceMixingRulesTriplet, PresentationSpaceResetMixingTriplet, PresentationTextData, PresentationTextDescriptor, PresentationTextObject, ResourceEnvironmentGroup, ResourceGroup, ResourceObject, ResourceObjectTypeTriplet, StreamedResourceGroup, TagLogicalElement, Tile, TilePosition, TileSize, TileTOC, TransparencyMask

    public interface Streamable

Implementing object is able to write to an OutputStream

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `writeToStream(OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

### Method Detail

#### writeToStream

    void writeToStream(OutputStream os)
                throws IOException

DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Parameters:
  `os` - the outputsteam stream
Throws:
  `IOException` - an I/O exception of some sort has occurred.